API SpecificationWorkspaces
SetAttr
mode / mtime / symlink target
Authorization
BearerAuth AuthorizationBearer <token>
A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC
token for humans. The key's namespace and role are pinned server-side.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
workspaceId?string
path?string
mode?integer
mtimeUnix?integer|string
Format
int64symlinkTarget?string
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://containers.xeonr.io/containers.api.v1.WorkspaceService/SetAttr" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"info": {
"path": "string",
"size": 0,
"mode": 0,
"isDir": true,
"sha256": "string",
"mtimeUnix": 0,
"symlinkTarget": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}